
Figure - Bug #118120
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试60小时，未执行完所有事件时异常终止
2023-05-22 10:17 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、adb shell

2、monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30

--pct-pinchzoom 5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--pct-syskeys 0 -v -v -v 12000000 >/sdcard/monkey.log 2>&1 &

（预计可跑测60H以上）

【测试结果】

1、在跑测时间不足20H时停止

History

#1 - 2023-05-22 10:18 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【Monkey】Monkey测试7*24小时，未执行完所有事件时异常终止 to 【AF】【EVT3】【Monkey】Monkey测试60小

时，未执行完所有事件时异常终止

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118120

#2 - 2023-05-22 21:35 - CD FW 曹覃刚

■当前的状态

与 #118126 相似，可用内存极低，将system_server杀掉了

//Out of memory, Killed process 1529 (system_server) 

05-20 08:29:55.226     0     0 I [58576.458940] oom_reaper: reaped process 743 (logcat), now anon-rss:0kB, file-rss:0kB, shmem-rss:0kB

05-20 08:29:55.226     0     0 E         : [58576.465028] Out of memory: Kill process 1529 (system_server) score 0 or sacrifice child

05-20 08:29:55.226     0     0 E         : [58576.465089] Killed process 1131 (logcat) total-vm:12899316kB, anon-rss:508kB, file-rss:2256kB, shmem-rss:204kB

oom_score_adj=-900

05-20 08:29:55.226     0     0 I [58576.469011] oom_reaper: reaped process 1131 (logcat), now anon-rss:0kB, file-rss:0kB, shmem-rss:0kB
05-20 08:29:55.226     0     0 E         : [58576.486126] Out of memory: Kill process 1529 (system_server) score 0 or sacrifice child

05-20 08:29:55.226     0     0 E         : [58576.488162] Killed process 1529 (system_server) total-vm:21452496kB, anon-rss:0kB, file-rss:0kB, shmem-rss:5576kB

oom_score_adj=-900

//monkey停了

05-20 08:29:55.712  8718  8718 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

05-20 08:29:55.712  8718  8718 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1093)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1217)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:708)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:568)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

05-20 08:29:55.712  8718  8718 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

05-20 08:29:55.712  8718  8718 W Monkey  : Caused by: android.os.DeadSystemException

05-20 08:29:55.712  8718  8718 W Monkey  :     ... 7 more

05-20 08:29:55.712  8718  8718 I Monkey  : Events injected: 300922

syetem_server被杀掉是因为内存低导致的，但是仅通过日志没有办法检查当前内存占用情况

在杀syetem_server之前，com.yymoon.dxc（地下城游戏）一直在打日志(好几个小时)，怀疑是这个游戏导致的

■下一步解析计划

联系了测试同学，不添加此游戏测试monkey，等待测试结果

#3 - 2023-05-25 11:21 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

Hi 永红

如线下沟通，与 #118126 相似，将在其中分析

#4 - 2023-05-25 14:02 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

在118126中跟踪

#5 - 2023-05-25 14:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-25 14:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
